Add Business
POST
Adds an existing Business to the selected Workspace, or creates a new sourced Business when no match exists, and starts one collaborative version. Requires edit access and returns a receipt.
header
AuthorizationBearer <token>A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.
SMB-Workspace-Id*stringWorkspace where this operation runs. Required for user tokens and Workspace API keys.
Format
uuidIdempotency-Key*stringLength
8 <= length <= 200application/json- body
business_id*SmbV0OperationsGetBusinessComparablesRequestBusinessIdStable SMB Business ID.
Match
^biz_[0-7][0-9A-HJKMNP-TV-Z]{25}$name?stringLength
1 <= length <= 500status?stringValue in
"active""temporarily_closed""seasonal""closed""unknown"source_type?stringWho supplied the facts used to create this Business record.
Default
"first_party"Value in
"government""owner""first_party""provider""model""internal_review"source_name?stringLength
1 <= length <= 300source_uri?stringFormat
uriLength
length <= 2000observed_at?smb_v0_operations_get_business_request.__local.TimestampFormat
date-timerights_basis?SmbV0OperationsGetBusinessRequestRevisionLength
1 <= length <= 200additional_observations?array<>Items
1 <= items <= 100The existing resource or idempotent replay was returned.
application/json- response
business_id*SmbV0OperationsGetBusinessComparablesRequestBusinessIdStable SMB Business ID.
Match
^biz_[0-7][0-9A-HJKMNP-TV-Z]{25}$workspace_id*smb_v0_operations_get_workspace_request.__local.UuidFormat
uuidname?stringLength
1 <= length <= 500status?stringValue in
"active""temporarily_closed""seasonal""closed""unknown"fields?updated_fields?array<string>revision?integerRange
1 <= valuebased_on_business_revision?integerRange
1 <= valueaccess_level?stringValue in
"view""edit""full_access"created?smb_v0_operations_create_list_request.__local.properties.body.__schema16business_created?smb_v0_operations_create_list_request.__local.properties.body.__schema16idempotent_replay*smb_v0_operations_create_list_request.__local.properties.body.__schema16request_id*stringreceipt*additional_observations?array<>Items
1 <= items <= 100curl -X POST 'https://example.com/v1/businesses' \ -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Idempotency-Key: stringst' \ -H 'Content-Type: application/json' \ -d '{}'{ "business_id": "string", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9", "name": "string", "status": "active", "fields": {}, "updated_fields": [ "string" ], "revision": 1, "based_on_business_revision": 1, "access_level": "view", "created": true, "business_created": true, "idempotent_replay": true, "request_id": "string", "receipt": { "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7", "command_id": "7d510d78-7444-4252-aeac-9e473949661e", "operation": "string", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9" }, "additional_observations": [ { "observation_id": "d5b663f3-1b87-4f94-9f66-dbd8d5553132", "name": "string", "mapping_status": "mapped" } ]}